RagTime5ParserInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
RagTime5ParserInternal::State Struct Reference

Internal: the state of a RagTime5Parser. More...

## Public Member Functions
| State ()
| constructor More...
void | initDefaultPatterns (int vers)
| init the pattern to default More...

## Static Public Member Functions
static RagTime5Parser::PictureType | getPictureType (std::string const &type)
| returns the picture type corresponding to a name More...

## Public Attributes
MWAWEntry | m_zonesEntry
| the main zone entry More...
std::vector< shared_ptr< Zone > > | m_zonesList
| the zone list More...
std::map< int, std::string > | m_idToTypeMap
| a map id to type string More...
std::multimap< std::string, MWAWEntry > | m_dataZoneMap
| a map: type->entry (datafork) More...
std::map< int, std::vector< MWAWColor > > | m_idColorsMap
| the color map More...
std::vector< Pattern > | m_patternList
| a list patternId -> pattern More...
std::map< int, std::vector< int > > | m_pageZonesIdMap
| a map: page->main zone id More...
std::map< int, Picture > | m_idPictureMap
| a map: zoneId->picture (datafork) More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a RagTime5Parser.

## Constructor & Destructor Documentation

RagTime5ParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

static RagTime5Parser::PictureType RagTime5ParserInternal::State::getPictureType | ( | std::string const & | type | ) |
| inlinestatic

returns the picture type corresponding to a name

void RagTime5ParserInternal::State::initDefaultPatterns | ( | int | vers | ) |

init the pattern to default

## Member Data Documentation

int RagTime5ParserInternal::State::m_actPage

the actual page

std::multimap<std::string, MWAWEntry> RagTime5ParserInternal::State::m_dataZoneMap

a map: type->entry (datafork)

int RagTime5ParserInternal::State::m_footerHeight

the footer height if known

int RagTime5ParserInternal::State::m_headerHeight

the header height if known

std::map<int, std::vector<MWAWColor> > RagTime5ParserInternal::State::m_idColorsMap

the color map

std::map<int, Picture> RagTime5ParserInternal::State::m_idPictureMap

a map: zoneId->picture (datafork)

std::map<int, std::string> RagTime5ParserInternal::State::m_idToTypeMap

a map id to type string

int RagTime5ParserInternal::State::m_numPages

the number of page of the final document

std::map<int, std::vector<int> > RagTime5ParserInternal::State::m_pageZonesIdMap

a map: page->main zone id

std::vector<Pattern> RagTime5ParserInternal::State::m_patternList

a list patternId -> pattern

Referenced by initDefaultPatterns().

MWAWEntry RagTime5ParserInternal::State::m_zonesEntry

the main zone entry

std::vector<shared_ptr<Zone> > RagTime5ParserInternal::State::m_zonesList

the zone list

The documentation for this struct was generated from the following file:

- RagTime5Parser.cxx